import { AnnotationLayer } from "./AnnotationLayer";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Base, Type, Point } from "igniteui-angular-core";
import { Series } from "./Series";
import { Brush } from "igniteui-angular-core";
import { Thickness } from "igniteui-angular-core";
import { CalloutCollisionMode } from "./CalloutCollisionMode";
import { FontInfo } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { CalloutLayerFrame } from "./CalloutLayerFrame";
import { CalloutAnnotationWrapper } from "./CalloutAnnotationWrapper";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { CalloutLabelUpdatingEventArgs } from "./CalloutLabelUpdatingEventArgs";
import { CalloutSeriesSelectingEventArgs } from "./CalloutSeriesSelectingEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Size } from "igniteui-angular-core";
import { CalloutContentUpdatingEventArgs } from "./CalloutContentUpdatingEventArgs";
import { DataContext } from "igniteui-angular-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { HashPool$2 } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core";
import { TextBlock } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CalloutLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    private r0;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    dr(a: boolean): boolean;
    private qc;
    private sc;
    private sd;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    rm: string;
    gt(a: any, b: string): any;
    get pt(): IFastItemColumn$1<any>;
    set pt(a: IFastItemColumn$1<any>);
    private po;
    rv: string;
    get pu(): IFastItemColumn$1<any>;
    set pu(a: IFastItemColumn$1<any>);
    private pp;
    ry: string;
    get pv(): IFastItemColumn$1<any>;
    set pv(a: IFastItemColumn$1<any>);
    private pq;
    rj: string;
    get ps(): IFastItemColumn$1<any>;
    set ps(a: IFastItemColumn$1<any>);
    private pn;
    p8: boolean;
    rd: string;
    get pr(): IFastItemColumn$1<any>;
    set pr(a: IFastItemColumn$1<any>);
    private pm;
    private qd;
    private qg;
    private r2;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    protected pg: CalloutLayerView;
    private qh;
    ro: string;
    pj: Series;
    ra: string;
    p7: boolean;
    qa: boolean;
    p9: boolean;
    qs: number;
    s7: Brush;
    s4: Brush;
    qt: number;
    s6: Brush;
    s5: Brush;
    get tb(): Thickness;
    ql: number;
    qn: number;
    qm: number;
    qk: number;
    pd: CalloutCollisionMode;
    qo: number;
    qp: number;
    rr: string;
    private pk;
    get pl(): FontInfo;
    protected ou(a: Series, b: boolean): void;
    protected ow(a: Frame, b: SeriesView): void;
    private qe;
    private qb;
    private pw;
    private s9;
    protected lo(a: Rect, b: Rect): void;
    protected ln(a: Rect, b: Rect): void;
    private p3;
    private qr;
    private s8;
    get ta(): Rect;
    set ta(a: Rect);
    private p1;
    private r8;
    private r4;
    private px;
    private qu;
    private qv;
    private py;
    private r1;
    private pz;
    private qq;
    private qi;
    private qw;
    protected oh(a: Series): boolean;
    kd(): void;
    private p2;
    r7(): void;
    calloutContentUpdating: (sender: any, args: CalloutContentUpdatingEventArgs) => void;
    calloutLabelUpdating: (sender: any, args: CalloutLabelUpdatingEventArgs) => void;
    calloutSeriesSelecting: (sender: any, args: CalloutSeriesSelectingEventArgs) => void;
    private qf;
    private r9;
    private p5;
    private p6;
    private qj;
    private p4;
    protected bj(): SeriesHitTestMode;
    as(a: Point, b: boolean): DataContext;
    dy(a: Point, b: boolean): boolean;
    protected sb(a: CalloutLayerFrame, b: boolean): void;
    protected oz(a: Frame, b: SeriesView): void;
    protected dp(): boolean;
    protected kp(a: any, b: string, c: any, d: any): void;
    private sa;
    private p0;
    private r5;
    private r3;
    private r6;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CalloutLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CalloutLayer);
    protected b4: CalloutLayer;
    private b9;
    as(): void;
    private b6;
    private cc;
    private ce;
    private cd;
    b8: HashPool$2<CalloutAnnotationWrapper, CalloutView>;
    cm(a: Brush): Brush;
    protected a6(a: RenderingContext, b: boolean): void;
    protected b7(): FontInfo;
    al(a: any): void;
    private ca;
    co(a: TextBlock): Size;
    private cb;
    private b5;
    cn(a: any, b: Thickness): Size;
    cg(a: CalloutView, b: number, c: number): void;
    ch(a: CalloutView, b: CalloutAnnotationWrapper, c: any): void;
    ci(a: Series): Brush;
    cl(): Brush;
    ck(): Brush;
    cj(a: Series): Brush;
    cf(): void;
}
/**
 * @hidden
 */
export declare class CalloutView extends Base {
    static $t: Type;
    constructor(a: CalloutLayerView);
    private a;
    w: Visibility;
    h(a: RenderingContext): void;
    private j;
    private r;
    private o;
    private q;
    get p(): Point;
    set p(a: Point);
    get n(): Brush;
    set n(a: Brush);
    get m(): Brush;
    set m(a: Brush);
    get l(): Brush;
    set l(a: Brush);
    get k(): Brush;
    set k(a: Brush);
    get c(): number;
    set c(a: number);
    private u;
    private t;
    get v(): Thickness;
    set v(a: Thickness);
    get f(): any;
    set f(a: any);
    d: number;
    e: number;
    s(): Size;
    private b;
    i(a: Series, b: CalloutAnnotationWrapper, c: any): void;
    g(a: CalloutLayer, b: FontInfo, c: any): void;
}
